Bug 9045 - Выводит usage в stderr
: Выводит usage в stderr
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man)
: unstable
: all Linux
: P2 minor
Assigned To:
:
: http://freesource.info/wiki/AltLinux/...
:
:
:
  Show dependency tree
 
Reported: 2006-02-10 14:40 by
Modified: 2009-02-13 14:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-10 14:40:38
man --help выводит информацию об использовании в stderr: 
см. что в выводе  
$ man -h 2>/dev/null 
пусто
------- Comment #1 From 2007-06-03 02:51:18 -------
В принципе и помочь могу, как время будет.
------- Comment #2 From 2007-06-21 10:17:27 -------
В git добавил патч для исправления этой ошибки. Теперь вывод от опций
-v/-V/--version и -h/-?/--help направляется в stdout. Также man --help
завершается с нулевым статусом, а не с ошибочным, как раньше.

http://git.altlinux.org/people/php_coder/packages/?p=man.git;a=blob;f=man-1.6e-alt-src-print_usage_to_stdout.patch;h=27590a10848668ee00410b790f0cb596c48e2729;hb=bbc97b7df4789e8066fb5097ef1302a4284fa857
------- Comment #3 From 2008-01-08 15:54:43 -------
Ссылка, как должно быть...
------- Comment #4 From 2008-02-07 13:02:00 -------
Fixed in man-1.6e-alt1
------- Comment #5 From 2008-02-07 13:04:19 -------
Забыл статус изменить. FIXED.